---
search:
  tags:
    - V1
    - GET
seo:
  description: >-
    The run and how many of its cases have an output, are… Reference for the GET
    /v1/projects/{projectId}/test-suites/runs/{runId} endpoint in the Judgeval
    API.
sidebar:
  label: Get a test run
  badge: GET
title: Get a test run
type: openapi-operation
---
The run and how many of its cases have an output, are scored and passed.

`GET /v1/projects/{projectId}/test-suites/runs/{runId}`

**Responses**

- `200` — Response for status 200
- `404` — Response for status 404

Response example, 200:

```json
{
  "run_id": "dded282c-8ebd-44cf-8ba5-9a234973d1ec",
  "test_suite_id": "24b8f606-0469-466c-ae80-0678f89ae1bf",
  "test_suite_version": 0,
  "scored_from_run_id": "820c60a4-665e-487e-b240-fda59a559ec9",
  "candidate": "string",
  "candidate_meta": {},
  "trigger": "string",
  "case_filter": {
    "kind": "all"
  },
  "cases_total": 0,
  "cases_with_output": 0,
  "cases_scored": 0,
  "cases_passed": 0,
  "cases_failed": 0,
  "created_at": "2019-08-24T14:15:22Z"
}
```
